Skip to main content

GET /accounting/audit/trail

GET 

/accounting/audit/trail

GET /accounting/audit/trail

Request​

Query Parameters

    book_id int64[]
    gl_account.id int64
    gl_account.number string
    gl_account.name string
    gl_account.description string
    transaction.id int64
    transaction.no string
    transaction.type string
    transaction.contact.id int64
    transaction.contact.business_name string
    action string[]
    created_at string

    Custom date/time offset range syntax. Equal: 2020-01-01T00:00:00Z; From: [2020-01-01T00:00:00Z;]; To: [;2025-12-31T23:59:59Z]; Between: [2020-01-01T00:00:00Z;2025-12-31T23:59:59Z]. Custom date/time offset range syntax. Equal: 2020-01-01T00:00:00Z; From: [2020-01-01T00:00:00Z;]; To: [;2025-12-31T23:59:59Z]; Between: [2020-01-01T00:00:00Z;2025-12-31T23:59:59Z].

    date_posting string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    debit_change string

    Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].

    credit_change string

    Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].

    from int32
    take int32
    search string
    sort string[]

Responses​

OK

Schema

    total int64nullable
    from int64nullable
    take int64nullable

    entities

    object[]

    nullable

  • Array [

  • id int64
    created_at date-time
    action stringnullable
    date_posting datenullable
    debit doublenullable
    credit doublenullable
    new_date_posting datenullable
    new_debit doublenullable
    new_credit doublenullable

    gl_account

    object

    id int64nullable
    number stringnullable
    name stringnullable
    description stringnullable

    new_gl_account

    object

    id int64nullable
    number stringnullable
    name stringnullable
    description stringnullable

    book

    object

    id int64
    name stringrequired

    Possible values: non-empty

    currency stringrequired

    Possible values: non-empty

    precision int32required

    Possible values: <= 4

    fx_rates_source stringnullable
    fx_rates_date stringnullable
    group_rows boolean
    group_row_taxes boolean
    allow_zero_entries boolean
    split_tax_reverse_charge boolean
    calc_fx_rate_variances boolean

    new_book

    object

    id int64
    name stringrequired

    Possible values: non-empty

    currency stringrequired

    Possible values: non-empty

    precision int32required

    Possible values: <= 4

    fx_rates_source stringnullable
    fx_rates_date stringnullable
    group_rows boolean
    group_row_taxes boolean
    allow_zero_entries boolean
    split_tax_reverse_charge boolean
    calc_fx_rate_variances boolean

    record

    object

    id int64
    uid uuidnullable
    type stringnullable
    no stringnullable
    date_posting datenullable
    debit double
    credit double
    currency stringnullable
    description stringnullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable

    new_record

    object

    id int64
    uid uuidnullable
    type stringnullable
    no stringnullable
    date_posting datenullable
    debit double
    credit double
    currency stringnullable
    description stringnullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable
  • ]

  • aggregations undefined[]nullable
Loading...